Name:		bonito4-open
Version:	4.24.6
Release:	1%{?dist}
Summary:	Bonito is a web interface for Manatee

Group:		Applications/Text
License:	GPLv2+
URL:		https://nlp.fi.muni.cz/trac/noske/
Source0:	bonito-open-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	autoconf
BuildRequires:	automake

Requires:	manatee-open-python >= 2.167.10
Requires:	manatee-open >= 2.167.10
Requires:	python-prctl
Requires:	python-signalfd
Requires:	httpd

Provides:	bonito-open = %{version}-%{release}

%description
Bonito is a graphical web interface for the Manatee corpus management system.

%prep
%setup -n bonito-open-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%if 0%{?fedora} >= 30
touch $RPM_BUILD_ROOT%{python2_sitelib}/bonito/__init__.py
%else
touch $RPM_BUILD_ROOT%{python_sitelib}/bonito/__init__.py
%endif
MANATEE_REGISTRY=%{_localstatedir}/lib/manatee/registry DESTDIR=$RPM_BUILD_ROOT ./setupbonito %{_localstatedir}/www/bonito/ %{_localstatedir}/lib/bonito
# install Apache conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mv $RPM_BUILD_ROOT%{_localstatedir}/www/bonito/.htaccess $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/bonito.conf
# install skejobserver systemd service
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
mv misc/skejobserver.service $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/
sed 's|/var/lib/ske|/var/lib/bonito|' misc/skejobserver.conf > $RPM_BUILD_ROOT%{_sysconfdir}/skejobserver
# clear_cache cronjob
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
mv misc/bonito_clear_cache.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/bonito_clear_cache
sed 's|/usr/bin/bonito_clear_cache|%{_bindir}/bonito_clear_cache|' bonito_clear_cache > $RPM_BUILD_ROOT%{_bindir}/bonito_clear_cache

%post
/bin/systemctl --system daemon-reload &> /dev/null || :
%if 0%{?fedora} >= 30
chmod +x %{python2_sitelib}/bonito/jobrunner.py
%else
chmod +x %{python_sitelib}/bonito/jobrunner.py
%endif
/usr/bin/systemctl enable skejobserver.service
/usr/bin/systemctl start skejobserver.service
if [ $1 -eq 1 ]; then # install
    chgrp -R apache %{_localstatedir}/lib/bonito
    chmod -R g+rwX %{_localstatedir}/lib/bonito
fi
if [ $1 -eq 2 ]; then # update
    /bin/systemctl reload httpd.service
    /bin/systemctl restart skejobserver.service
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/setupbonito
%{_bindir}/bonito_clear_cache
%{_datadir}/bonito
%if 0%{?fedora} >= 30
%{python2_sitelib}/bonito
%else
%{python_sitelib}/bonito
%endif
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bonito.conf
%config(noreplace) %{_sysconfdir}/cron.d/bonito_clear_cache
%config(noreplace) %{_localstatedir}/www/bonito/run.cgi
%config(noreplace) %{_localstatedir}/lib/bonito/htpasswd
%config(noreplace) %{_sysconfdir}/skejobserver
%{_prefix}/lib/systemd/system/skejobserver.service

%changelog
* Mon Mar 02 2020 GitLab Runner - 4.24.6-1
- new version

* Thu Dec 12 2019 GitLab Runner - 4.20.11-1
- new version
